Remove the unused require_moderator filter